summaryrefslogtreecommitdiffstats
path: root/dnsdist/bin/dnsdist-console
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-10 14:59:14 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-10 14:59:14 +0000
commit67badd0db444736a407f6994c1a7d01c0de1ad76 (patch)
tree7e64a77b0110330f4c2bb28f3767d4786b24e8a0 /dnsdist/bin/dnsdist-console
parentInitial commit. (diff)
downloadopen-infrastructure-service-tools-upstream.tar.xz
open-infrastructure-service-tools-upstream.zip
Adding upstream version 20221223.upstream/20221223upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'dnsdist/bin/dnsdist-console')
-rwxr-xr-xdnsdist/bin/dnsdist-console61
1 files changed, 61 insertions, 0 deletions
diff --git a/dnsdist/bin/dnsdist-console b/dnsdist/bin/dnsdist-console
new file mode 100755
index 0000000..ea26d63
--- /dev/null
+++ b/dnsdist/bin/dnsdist-console
@@ -0,0 +1,61 @@
+#!/bin/sh
+
+# Open Infrastructure: service-tools
+
+# Copyright (C) 2014-2022 Daniel Baumann <daniel.baumann@open-infrastructure.net>
+#
+# SPDX-License-Identifier: GPL-3.0+
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <https://www.gnu.org/licenses/>.
+
+set -e
+
+PROGRAM="$(basename "${0}")"
+
+Usage ()
+{
+ if [ -z "${OPTIONS}" ]
+ then
+ echo "'${PROGRAM}': incomplete or invalid configuration in /etc/default/dnsdist" >&2
+ exit 1
+ fi
+}
+
+if [ ! -r /etc/dnsdist/dnsdist.conf ]
+then
+ Usage
+fi
+
+CONTROL_SOCKET="$(awk -F\' '/^controlSocket\(/ { print $2 }' /etc/dnsdist/dnsdist.conf)"
+KEY="$(awk -F\' '/^setKey\(/ { print $2 }' /etc/dnsdist/dnsdist.conf)"
+
+OPTIONS=""
+
+if [ -n "${CONTROL_SOCKET}" ]
+then
+ OPTIONS="${OPTIONS} -c ${CONTROL_SOCKET}"
+fi
+
+if [ -n "${KEY}" ]
+then
+ OPTIONS="${OPTIONS} -k ${KEY}"
+fi
+
+if [ -z "${OPTIONS}" ]
+then
+ Usage
+fi
+
+# shellcheck disable=SC2086
+dnsdist ${OPTIONS}